Error while upgrading centos 7 to 7.1

Dear Friends

I installed Centos 7 in a virtual machine and I am trying to upgrade it to centos 7.1 but it fails with a “keyboard interrupt error”. So if any one has faced this issue please help.

I think python is causing this issue which I don’t need at this time. Tried to erase python but no luck as it will erase yum.

Please reply

Regards
Jagamohan

share the commands with output , will need more details to analyse this,

you can try pass the yes command with yum

yum update -y

Dear Rajesh

Sorry to replying late. I deleted that vm as I had created for it for some testing purpose. Thanks for replying.

Regards
Jagamohan